### Constructor

# EDataServerUI WebDAVDiscoverDialog new

since: 3.18

#### Declaration [src]

    GtkDialog*
    e_webdav_discover_dialog_new (
      GtkWindow* parent,
      const gchar* title,
      ECredentialsPrompter* credentials_prompter,
      ESource* source,
      const gchar* base_url,
      guint supports_filter
    )

#### Description [src]

Creates a new `GtkDialog` which has as its content a WebDAV discovery widget, created with e_webdav_discover_content_new(). This dialog can be shown to a user and when its final response is `GTK_RESPONSE_ACCEPT`, then the inner content can be asked for currently selected source(s).

Available since: 3.18

#### Parameters

`parent`

  Type: `GtkWindow`

  A `GtkWindow` parent for the dialog.

  The data is owned by the caller of the function.

`title`

  Type: `const gchar*`

  Title of the window.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`credentials_prompter`

  Type: `ECredentialsPrompter`

  An `ECredentialsPrompter` to use to ask for credentials.

  The data is owned by the caller of the function.

`source`

  Type: `ESource`

  An `ESource` to use for authentication.

  The data is owned by the caller of the function.

`base_url`

  Type: `const gchar*`

  Optional base URL to use for discovery, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`supports_filter`

  Type: `guint`

  A bit-or of `EWebDAVDiscoverSupports`, a filter to limit what source types will be shown in the dialog content; use `E_WEBDAV_DISCOVER_SUPPORTS_NONE` to show all.

#### Return value

Type: `GtkDialog`

A newly created `GtkDialog`, which should be freed with g_object_unref(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.